# Interface Timeout

#### Hierarchy

- Timer
  - Timeout

- Defined in node_modules/@types/node/timers.d.ts:53

#####
Index

### Methods

[dispose]
[toPrimitive]
hasRef
ref
refresh
unref

## Methods

### [dispose]

- [dispose](): void

- Cancels the timeout.

  ### Since

  v18.18.0

  #### Returns void

  - Defined in node_modules/@types/node/timers.d.ts:76

### [toPrimitive]

- [toPrimitive](): number

- #### Returns number

  Overrides Timer.[toPrimitive]

  - Defined in node_modules/@types/node/timers.d.ts:71

### hasRef

- hasRef(): boolean

- If true, the `Timeout` object will keep the Node.js event loop active.

  ### Since

  v11.0.0

  #### Returns boolean

  Overrides Timer.hasRef

  - Defined in node_modules/@types/node/timers.d.ts:58

### ref

- ref(): Timeout

- #### Returns Timeout

  Inherited from Timer.ref

  - Defined in node_modules/@types/node/globals.d.ts:255

### refresh

- refresh(): Timeout

- Sets the timer's start time to the current time, and reschedules the timer to call its callback at the previously specified duration adjusted to the current time. This is useful for refreshing a timer without allocating a new JavaScript object.

  Using this on a timer that has already called its callback will reactivate the timer.

  ### Since

  v10.2.0

  ### Returns

  a reference to `timeout`

  #### Returns Timeout

  Overrides Timer.refresh

  - Defined in node_modules/@types/node/timers.d.ts:70

### unref

- unref(): Timeout

- #### Returns Timeout

  Inherited from Timer.unref

  - Defined in node_modules/@types/node/globals.d.ts:256

Generated using TypeDoc